[android-components](../../index.md) / [mozilla.components.concept.engine](../index.md) / [CancellableOperation](index.md) / [cancel](./cancel.md)

# cancel

`abstract fun cancel(): Deferred<`[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/CancellableOperation.kt#L30)

Cancels this operation.

**Return**
a deferred value indicating whether or not cancellation was successful.

